# Interface SignAndSendSigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends Chain

#### Hierarchy

- SignerBase<C>
  - SignAndSendSigner

#### Implemented by

- SolanaSendSigner

- Defined in definitions/src/signer.ts:45

#####
Index

### Methods

address
chain
signAndSend

## Methods

### address

- address(): string

- #### Returns string

  Inherited from SignerBase.address

  - Defined in definitions/src/signer.ts:20

### chain

- chain(): C

- #### Returns C

  Inherited from SignerBase.chain

  - Defined in definitions/src/signer.ts:19

### signAndSend

- signAndSend(tx): Promise<string[]>

- #### Parameters

  - ##### tx: UnsignedTransaction<N, C>[]

  #### Returns Promise<string[]>

  - Defined in definitions/src/signer.ts:46

Generated using TypeDoc